Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5GetTimestep

Get the current timestep for the HDF5 output. Fields are stacked in time.

## Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5GetTimestep(PetscViewer viewer, PetscInt *timestep)

Not Collective

## Input Parameter

- viewer - the `PetscViewer` of type `PETSCVIEWERHDF5`

## Output Parameter

- timestep - The timestep

## Note

This can be called only if the viewer is in the timestepping mode. See `PetscViewerHDF5PushTimestepping()` for details.

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5Open()`, `PetscViewerHDF5PushTimestepping()`, `PetscViewerHDF5IncrementTimestep()`, `PetscViewerHDF5SetTimestep()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages